#!/usr/bin/env ruby

require 'truthy'

puts "These should both say false:"
puts false.truthy?  # => false
puts nil.truthy?    # => false

puts ""
puts "These should all say true:"
puts true.truthy?               # => true

puts [].truthy?                 # => true
puts [nil].truthy?              # => true
puts %w[one two three].truthy?  # => true

puts {}.truthy?                 # => true
# puts { 'one' => 1 }.truthy?     # => true

puts ''.truthy?                 # => true
puts '   '.truthy?              # => true
puts 'hello'.truthy?            # => true
